function SendSms(number, text, callback) {
  const request = require('request');
  request.post({
    url: 'https://ippanel.com/api/select',
    body: {
      "op": "send",
      "uname": "NikanRadiology",
      "pass": "n@123N420",
      "message": text,
      "from": "9890006039",
      "to": [number],
    },
    json: true,
  }, function (error, response, body) {
    if (!error && response.statusCode === 200) {
    } else {
      console.log("whatever you want");
    }
    const result = {body: response.body, text};
    callback(result);
  });
}

// mob, res, time
function SendSuccess(number, res, time, callback) {
  const sp = time.split(" ");
  let text = `نوبت شما در تاریخ ${sp[0]} ثبت گردید.`;
  text += "\n" + `لطفا رأس ساعت ${sp[1]} درمرکز حضور داشته باشید.`
  text += "\n" + `کد رهگیری : ${res}`;
  return SendSms(number, text, callback);
}


function SendFailure(number, callback) {
  let text = "امکان ثبت نوبت وجود ندارد.";
  text += "\n" + "لطفا در تاریخ دیگری اقدام نمایید."
  return SendSms(number, text, callback);
}

module.exports = {SendFailure, SendSuccess};